China
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/china/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/china/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1583798400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://archive.ph/SK5zA",
"holding_balance": 0.0,
"holding_net_change": 0.0,
"transaction_value_usd": 0.0,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": false
},
{
"date": 1704326400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.cryptopolitan.com/chinese-government-holds-bitcoin/#:~:text=The%20Chinese%20government%20holds%20over%20%248%20billion%20in,at%20the%20current%20price%20of%20%2442%2C040%20per%20coin.",
"holding_balance": 190000.0,
"holding_net_change": 190000.0,
"transaction_value_usd": 8387207999.999999,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/china/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
190000.0
],
[
1779062400000,
190000.0
],
[
1779148800000,
190000.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/china/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
14711673400.0
],
[
1779062400000,
14619411300.0
],
[
1779148800000,
14584401900
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/china/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/china/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/china/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/china/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.905,
"share_price_change_state": "up"
}